i2p.susi.util

## Class ReadBuffer

- java.lang.Object
- - i2p.susi.util.ReadBuffer

-     public class ReadBuffer
      extends Object

  Author:
    susi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `content`
    `int` | `length`
    `int` | `offset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadBuffer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### content

          public byte[] content

    - #### length

          public int length

    - #### offset

          public int offset

  - ### Constructor Detail

    - #### ReadBuffer

          public ReadBuffer()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`